Could not initialize the package information

Bug #282748 reported by Adam Schreiber on 2008-10-13
2
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

Could not initialize the package information

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Problem parsing dependency Depends, E:Error occurred while processing language-pack-ast-base (NewVersion1), E:Problem with MergeList /var/lib/dpkg/status, E:The package lists or status file could not be parsed or opened.'

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Could you please attach the file /var/lib/dpkg/status to this bugreport?

Changed in update-manager:
status: New → Incomplete
Adam Schreiber (sadam) wrote :

I've attached the status file. I worked around the bug by moving this file to status_bad and copying status-old to status. That got apt and update-manager working again, but it probably shouldn't have happened in the first place or been auto fixed by update-manager.

Michael Vogt (mvo) wrote :

Thanks for the file. I tested it in a pbuilder chroot and I did not get the error you mentined. The file itself looks ok to me. Could you please double that it is the right one?

Adam Schreiber (sadam) wrote :

That's the correct file.

Dimitrios Symeonidis (azimout) wrote :

Adam, is this still an issue for you? Thank you

Adam Schreiber (sadam) wrote :

Not at current. It seems like ocassionally, the status or statoveride files get corrupted by updating the package list and the only way to fix it is to perform the work around mentioned above. It would be nice if synaptic/update-manager performed the corrective action when this or dpkg --configure -a need to be run instad of segfaulting or displaying a cryptic error message which I know comes from dpkg or apt and not the front ends.

Changed in update-manager (Ubuntu):
status: Incomplete → New
Martin (martin-vachovski) wrote :

Hello

I also get similar problem with Ubuntu 11.04
When I try to open update-manager I get similar message to the one above

Could not initialize the package information

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/ie.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages, E:The package lists or status file could not be parsed or opened.'

The only difference is that the problematic file is
/var/lib/apt/lists/ie.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages

Update manager used to work OK for me. Then I upgraded to 11.04 and after 2-3 updates it stopped working
I attach also the file

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers